Bug 772757 - (CVE-2012-0033) CVE-2012-0033 znc: denial of service flaw
CVE-2012-0033 znc: denial of service flaw
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 773005 773006
  Show dependency treegraph
Reported: 2012-01-09 16:57 EST by Vincent Danen
Modified: 2012-02-15 16:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-15 16:13:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-01-09 16:57:58 EST
A denial of service flaw was reported in ZNC versions 0.200 and 0.202.  A DCC RESUME received by znc can cause a crash in the bouncedcc module.  This has been fixed in git [1].

[1] https://github.com/znc/znc/commit/11508aa72efab4fad0dbd8292b9614d9371b20a9
Comment 1 Vincent Danen 2012-01-10 11:30:37 EST
This issue has received the name CVE-2012-0033:

Comment 2 Vincent Danen 2012-01-10 11:31:44 EST
Created znc tracking bugs for this issue

Affects: fedora-all [bug 773005]
Affects: epel-all [bug 773006]
Comment 3 Fedora Update System 2012-02-09 19:56:57 EST
znc-0.204-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.